com.google.cloud.dataflow.sdk.runners

## Class DataflowJobException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.cloud.dataflow.sdk.runners.DataflowJobException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DataflowJobAlreadyExistsException, DataflowJobAlreadyUpdatedException, DataflowJobCancelledException, DataflowJobExecutionException, DataflowJobUpdatedException, DataflowServiceException

    public abstract class DataflowJobException
    extends RuntimeException

A `RuntimeException` that contains information about a `DataflowPipelineJob`.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`DataflowPipelineJob` `getJob()` Returns the failed job.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getJob

    public DataflowPipelineJob getJob()

Returns the failed job.